Set List column values

Sets the value of one or more List columns.

This operation is only supported for Data Lists and Counter Lists (the counter column).

For Counter Lists only the counter field can be set, and it either increases/decreases the counter, or if replaceCounters=true, it replaces the previous counter value.

It's possible to specify query parameters to control which Members should be updated.

Path Params
string
required

The name of the space (database) assigned to you.

string
required

One of:

  • The Entity's internal Entity Id
  • The Entity's name
  • The Entity's business Id, prefixed with $
Query Params
string
required

Contains a list of column to be set and their new values.

The format is a comma-separated list of key-value pairs where the key is the column to set a value for, for example: newValues=status=ACTIVE,is_tagged=true,segment=

To clear a column, use the value '' as in the example.
Four counter Lists the column name is called 'counter', and it can't be cleared.

boolean

Only applicable when updating Counter Lists. If false, then Counters will be increased or decreased with the specified value.
By setting this attribute to true, the Counter List value is instead replaced by the specified value.

string

Optional Query fields used to limit the rows to be deleted. Multiple fields can be specified, separated by semicolon, and wildcards are supported.
This field works the same way as when querying Lists. The field applies to Data and Counter Lists.

The following Counter List example sets all negative counters back to zero: "?newValues=counter=0&replaceCounters=true&qry_counter=<0"

string

The Dimensions under which the calling application operates.
Format: {dim1}:{value1}[;{dim2}:{value2}[;...]]

boolean

If true, also exposes Installed but Unpublished entity resources. Default is false.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json